summaryrefslogtreecommitdiffstats
path: root/debian/systemd-sysv.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/systemd-sysv.postinst')
-rw-r--r--debian/systemd-sysv.postinst11
1 files changed, 11 insertions, 0 deletions
diff --git a/debian/systemd-sysv.postinst b/debian/systemd-sysv.postinst
new file mode 100644
index 0000000..3952c8d
--- /dev/null
+++ b/debian/systemd-sysv.postinst
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+# update grub on first install, so that the alternative init system boot
+# entries get updated
+if [ "$1" = configure ] && [ -z "$2" ] && [ -e /boot/grub/grub.cfg ] && command -v update-grub >/dev/null; then
+ update-grub || true
+fi
+
+#DEBHELPER#